Subject: Re: DirectDraw
From: [email-masked] (Matthew Moskewicz)

23 Oct 1996 23:40:42 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01b1Gold (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Rich Drewes wrote:
> 
> Can anyone comment on the feasibility of accessing the DirectDraw API
> from gnu-win32?  Is this a now kind of thing, a someday kind of thing, or
> a never kind of thing?
> 
> Thanks,
> Rich Drewes
> [email-masked]
> -
> For help on using this list, send a message to
> "[email-masked]" with one line of text: "help".

Working from only the DirectX 2 SDK, I ported most of DirectX to the
point where I could include the (hacked) micrsoft headers to make things
work and call all the fuctions in the ddraw.dll without error. Mind you,
they all returned CO_E_NOTINITILIAZED ... perhaps my import lib was
incorrect ...
With the win32 SDK and headers, the task of porting would be trivial, as
most of my work involed cobbling enough of RPC together from what little
was included in the DirectX 2 SDK itself. As to weather it would ever
work, I don't know. One would think so, but ...
Perhaps the successor to Windows32api-0.1.2 will eliminate the need for
hacks or the win32 SDK.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".